package com.example.smartlab.Api

import com.google.gson.GsonBuilder
import okhttp3.OkHttpClient
import okhttp3.logging.HttpLoggingInterceptor
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.converter.scalars.ScalarsConverterFactory
object ApiHttp {

    private val Base_URL = "https://iis.ngknn.ru/NGKNN/МамшеваЮС/MedicMadlab/"
    public var User_mail : String = ""
    public var Bearer : String = ""

    //interceptor - Перехватчик OkHttp, который регистрирует данные HTTP-запроса и ответа.
    //Создаем объект перехватчика
    val interceptor = HttpLoggingInterceptor()
    //Добавляем перехватчика в клиента
    val httpClient = OkHttpClient.Builder()
        .addInterceptor(interceptor)
        .build()
    val gsonBuilder = GsonBuilder()
        .setLenient()
        .create()
    val retrofit = Retrofit.Builder()
        .addConverterFactory(ScalarsConverterFactory.create())//Конвертер строк, обоих примитивов и их коробочных типов в text/plain тела.
        .addConverterFactory(GsonConverterFactory.create(gsonBuilder))
        .baseUrl(Base_URL)
        .client(httpClient) //добавление http клиента в retrofit
        .build()
    val retrifitApi :ApiRequest
        get() = retrofit.create(ApiRequest::class.java)
}